> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create or update multiple clients by external ID



## OpenAPI

````yaml /openapi/clients.json put /clients/batch/external
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /clients/batch/external:
    put:
      tags:
        - Clients
      summary: Create or update multiple clients by external ID
      operationId: clients.upsertManyByExternalId
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                items:
                  type: array
                  minItems: 1
                  maxItems: 250
                  items:
                    allOf:
                      - anyOf:
                          - type: object
                            properties:
                              type:
                                const: individual
                                description: Type
                              name:
                                type: string
                                minLength: 1
                                description: Name
                              nationalities:
                                anyOf:
                                  - type: string
                                  - type: array
                                    minItems: 1
                                    items:
                                      type: string
                                description: Nationalities
                              externalId:
                                type: string
                                description: External ID
                              metadata:
                                type: object
                                propertyNames:
                                  type: string
                                additionalProperties: {}
                                description: Metadata
                              birthDate:
                                type: string
                                format: date
                                description: Birth Date
                              middleName:
                                type: string
                                description: Middle Name
                              lastName:
                                anyOf:
                                  - type: string
                                    minLength: 1
                                  - type: array
                                    minItems: 1
                                    items:
                                      type: string
                                      minLength: 1
                                description: Last Name
                              employment:
                                type: object
                                properties:
                                  isEmployee:
                                    type: boolean
                                    description: Is Employee
                                  employeeId:
                                    type: string
                                    description: Employee ID
                                  position:
                                    type: string
                                    description: Position
                                  department:
                                    type: string
                                    description: Department
                                  startDate:
                                    type: string
                                    format: date
                                    description: Start Date
                                required:
                                  - isEmployee
                                description: Employment
                              scopes:
                                type: array
                                minItems: 1
                                items:
                                  enum:
                                    - base
                                    - MX:AV
                                    - MX:AV:ARI
                                    - MX:AV:AVI
                                    - MX:AV:INM
                                    - MX:AV:JYS
                                    - MX:AV:MJR
                                    - MX:AV:MPC
                                    - MX:AV:TSC
                                    - MX:AV:VEH
                                    - MX:CNBV
                                    - MX:CNBV:TRANSMISOR
                                    - MX
                                  type: string
                              scopeData:
                                type: object
                                properties:
                                  MX:
                                    type: object
                                    properties:
                                      rfc:
                                        type: string
                                      curp:
                                        type: string
                                      actividadEconomica:
                                        enum:
                                          - '1000000'
                                          - '1110100'
                                          - '1110400'
                                          - '1220100'
                                          - '1220200'
                                          - '1330200'
                                          - '2130100'
                                          - '2140100'
                                          - '2210100'
                                          - '2240200'
                                          - '2420100'
                                          - '2420200'
                                          - '2530100'
                                          - '3130100'
                                          - '3130300'
                                          - '3310300'
                                          - '3310400'
                                          - '3310600'
                                          - '3410200'
                                          - '3420100'
                                          - '3420200'
                                          - '4130300'
                                          - '4130500'
                                          - '4131000'
                                          - '4230200'
                                          - '4230500'
                                          - '4330100'
                                          - '4330200'
                                          - '4430200'
                                          - '4440100'
                                          - '4530200'
                                          - '4530500'
                                          - '4630100'
                                          - '4640300'
                                          - '5110100'
                                          - '5121300'
                                          - '5210100'
                                          - '5310700'
                                          - '5410100'
                                          - '5420700'
                                          - '5510100'
                                          - '5610200'
                                          - '5710200'
                                          - '5720800'
                                          - '5720900'
                                          - '5721000'
                                          - '5721100'
                                          - '5722900'
                                          - '5730600'
                                          - '5731100'
                                          - '5810200'
                                          - '5910400'
                                          - '6120100'
                                          - '6120200'
                                          - '6220100'
                                          - '6330100'
                                          - '6330200'
                                          - '6330400'
                                          - '6330500'
                                          - '6330600'
                                          - '6420100'
                                          - '6430100'
                                          - '6430300'
                                          - '7110200'
                                          - '7110300'
                                          - '7110500'
                                          - '7110600'
                                          - '7120100'
                                          - '7130200'
                                          - '7130400'
                                          - '7140100'
                                          - '7140200'
                                          - '7210100'
                                          - '7230200'
                                          - '7240200'
                                          - '7330200'
                                          - '7330300'
                                          - '7430100'
                                          - '7430200'
                                          - '7430400'
                                          - '7530100'
                                          - '7540100'
                                          - '7620100'
                                          - '7620200'
                                          - '7630100'
                                          - '7630200'
                                          - '7720100'
                                          - '7720200'
                                          - '7720300'
                                          - '7810200'
                                          - '8120100'
                                          - '8130500'
                                          - '8140100'
                                          - '8210100'
                                          - '8220400'
                                          - '8220600'
                                          - '8230300'
                                          - '8240100'
                                          - '8240200'
                                          - '8240600'
                                          - '8240700'
                                          - '8250100'
                                          - '8250200'
                                          - '8250800'
                                          - '8340100'
                                          - '8340300'
                                          - '9120700'
                                          - '9130300'
                                          - '9131200'
                                          - '9140200'
                                          - '9140400'
                                          - '9140500'
                                          - '9140700'
                                          - '9140800'
                                          - '9230100'
                                          - '9230200'
                                          - '9230300'
                                          - '9230400'
                                          - '9330100'
                                          - '9330300'
                                          - '9420100'
                                          - '9420300'
                                          - '9430100'
                                          - '1014010'
                                          - '1014030'
                                          - '1023010'
                                          - '1023070'
                                          - '1024020'
                                          - '1033010'
                                          - '1033020'
                                          - '1033040'
                                          - '1034010'
                                          - '1044010'
                                          - '1052010'
                                          - '1054010'
                                          - '1112010'
                                          - '1113010'
                                          - '1113020'
                                          - '1114010'
                                          - '1114020'
                                          - '1114030'
                                          - '1114040'
                                          - '1114050'
                                          - '1114060'
                                          - '1114070'
                                          - '1114090'
                                          - '1123020'
                                          - '1124070'
                                          - '1125010'
                                          - '1133010'
                                          - '1134010'
                                          - '1135010'
                                          - '1135080'
                                          - '1135020'
                                          - '1135030'
                                          - '1135050'
                                          - '1135060'
                                          - '1135070'
                                          - '1136010'
                                          - '1136020'
                                          - '1136030'
                                          - '1136040'
                                          - '1136070'
                                          - '1136050'
                                          - '1136060'
                                          - '1136090'
                                          - '1136080'
                                        type: string
                                      giroMercantil:
                                        enum:
                                          - '1000000'
                                          - '1100001'
                                          - '1200001'
                                          - '1300001'
                                          - '1400002'
                                          - '1500001'
                                          - '2100002'
                                          - '2200002'
                                          - '2300003'
                                          - '2400002'
                                          - '2500002'
                                          - '2600003'
                                          - '2710004'
                                          - '2720004'
                                          - '2730004'
                                          - '2740004'
                                          - '2754004'
                                          - '3110005'
                                          - '3120005'
                                          - '3140005'
                                          - '3150005'
                                          - '3210005'
                                          - '3220005'
                                          - '3230005'
                                          - '3240005'
                                          - '3250005'
                                          - '3260005'
                                          - '3270005'
                                          - '3310005'
                                          - '3320005'
                                          - '3330005'
                                          - '3340005'
                                          - '3350005'
                                          - '3360005'
                                          - '3370005'
                                          - '3380005'
                                          - '3410005'
                                          - '3420005'
                                          - '3430005'
                                          - '3440005'
                                          - '4310006'
                                          - '4320006'
                                          - '4330006'
                                          - '4340006'
                                          - '4620006'
                                          - '4630006'
                                          - '4650006'
                                          - '4660026'
                                          - '4670006'
                                          - '4680006'
                                          - '4710006'
                                          - '4720006'
                                          - '4730006'
                                          - '4740006'
                                          - '4750006'
                                          - '4760006'
                                          - '4810007'
                                          - '4820007'
                                          - '4830007'
                                          - '4840007'
                                          - '4850007'
                                          - '4860007'
                                          - '4880007'
                                          - '4890007'
                                          - '4910008'
                                          - '4920009'
                                          - '4930010'
                                          - '5100011'
                                          - '5180012'
                                          - '5210013'
                                          - '5220013'
                                          - '5230013'
                                          - '5240013'
                                          - '5250013'
                                          - '5260013'
                                          - '5270013'
                                          - '5280013'
                                          - '5290013'
                                          - '5310013'
                                          - '5320013'
                                          - '5330013'
                                          - '5340013'
                                          - '5350013'
                                          - '5360013'
                                          - '5370013'
                                          - '5390013'
                                          - '5410013'
                                          - '5420013'
                                          - '5430013'
                                          - '5440013'
                                          - '5450013'
                                          - '5510014'
                                          - '5520014'
                                          - '5530014'
                                          - '5540014'
                                          - '5550014'
                                          - '5610015'
                                          - '5620015'
                                          - '5630015'
                                          - '5640015'
                                          - '5650015'
                                          - '5660015'
                                          - '5670015'
                                          - '5680015'
                                          - '5690015'
                                          - '5710016'
                                          - '5720016'
                                          - '5730016'
                                          - '5740016'
                                          - '5750016'
                                          - '6100017'
                                          - '6200018'
                                          - '7110019'
                                          - '7120019'
                                          - '7130019'
                                          - '7140019'
                                          - '7150019'
                                          - '7200020'
                                          - '8100021'
                                          - '8200022'
                                          - '8310023'
                                          - '8320023'
                                          - '8330023'
                                          - '8340023'
                                          - '8350023'
                                          - '8360023'
                                          - '8370023'
                                          - '9100025'
                                          - '9810024'
                                          - '9820024'
                                          - '9830024'
                                          - '9840024'
                                          - '9850024'
                                          - '9860024'
                                          - '9870024'
                                          - '9880024'
                                        type: string
                                      actividadVulnerable:
                                        type: object
                                        properties:
                                          ARI:
                                            type: object
                                          AVI:
                                            type: object
                                            properties:
                                              username:
                                                type: string
                                                maxLength: 255
                                                description: Username
                                          INM:
                                            type: object
                                          JYS:
                                            type: object
                                          MJR:
                                            type: object
                                          MPC:
                                            type: object
                                          TSC:
                                            type: object
                                          VEH:
                                            type: object
                                      cnbv:
                                        type: object
                                        properties:
                                          TRANSMISOR:
                                            type: object
                                            properties:
                                              numeroCuenta:
                                                type: string
                                                pattern: ^[A-Za-z0-9]{1,16}$
                                                description: Account Number
                                              claveSujetoObligado:
                                                type: string
                                                pattern: ^\d{2}-(\d{3}|\d{5})$
                                                description: Clave Sujeto Obligado
                                  US: {}
                            required:
                              - type
                              - name
                              - scopes
                          - type: object
                            properties:
                              type:
                                const: company
                                description: Type
                              name:
                                type: string
                                minLength: 1
                                description: Name
                              nationalities:
                                anyOf:
                                  - type: string
                                  - type: array
                                    minItems: 1
                                    items:
                                      type: string
                                description: Nationalities
                              externalId:
                                type: string
                                description: External ID
                              metadata:
                                type: object
                                propertyNames:
                                  type: string
                                additionalProperties: {}
                                description: Metadata
                              incorporationDate:
                                type: string
                                format: date
                                description: Incorporation Date
                              commercialName:
                                type: string
                                description: Commercial Name
                              scopes:
                                type: array
                                minItems: 1
                                items:
                                  enum:
                                    - base
                                    - MX:AV
                                    - MX:AV:ARI
                                    - MX:AV:AVI
                                    - MX:AV:INM
                                    - MX:AV:JYS
                                    - MX:AV:MJR
                                    - MX:AV:MPC
                                    - MX:AV:TSC
                                    - MX:AV:VEH
                                    - MX:CNBV
                                    - MX:CNBV:TRANSMISOR
                                    - MX
                                  type: string
                              scopeData:
                                type: object
                                properties:
                                  MX:
                                    type: object
                                    properties:
                                      rfc:
                                        type: string
                                      curp:
                                        type: string
                                      actividadEconomica:
                                        enum:
                                          - '1000000'
                                          - '1110100'
                                          - '1110400'
                                          - '1220100'
                                          - '1220200'
                                          - '1330200'
                                          - '2130100'
                                          - '2140100'
                                          - '2210100'
                                          - '2240200'
                                          - '2420100'
                                          - '2420200'
                                          - '2530100'
                                          - '3130100'
                                          - '3130300'
                                          - '3310300'
                                          - '3310400'
                                          - '3310600'
                                          - '3410200'
                                          - '3420100'
                                          - '3420200'
                                          - '4130300'
                                          - '4130500'
                                          - '4131000'
                                          - '4230200'
                                          - '4230500'
                                          - '4330100'
                                          - '4330200'
                                          - '4430200'
                                          - '4440100'
                                          - '4530200'
                                          - '4530500'
                                          - '4630100'
                                          - '4640300'
                                          - '5110100'
                                          - '5121300'
                                          - '5210100'
                                          - '5310700'
                                          - '5410100'
                                          - '5420700'
                                          - '5510100'
                                          - '5610200'
                                          - '5710200'
                                          - '5720800'
                                          - '5720900'
                                          - '5721000'
                                          - '5721100'
                                          - '5722900'
                                          - '5730600'
                                          - '5731100'
                                          - '5810200'
                                          - '5910400'
                                          - '6120100'
                                          - '6120200'
                                          - '6220100'
                                          - '6330100'
                                          - '6330200'
                                          - '6330400'
                                          - '6330500'
                                          - '6330600'
                                          - '6420100'
                                          - '6430100'
                                          - '6430300'
                                          - '7110200'
                                          - '7110300'
                                          - '7110500'
                                          - '7110600'
                                          - '7120100'
                                          - '7130200'
                                          - '7130400'
                                          - '7140100'
                                          - '7140200'
                                          - '7210100'
                                          - '7230200'
                                          - '7240200'
                                          - '7330200'
                                          - '7330300'
                                          - '7430100'
                                          - '7430200'
                                          - '7430400'
                                          - '7530100'
                                          - '7540100'
                                          - '7620100'
                                          - '7620200'
                                          - '7630100'
                                          - '7630200'
                                          - '7720100'
                                          - '7720200'
                                          - '7720300'
                                          - '7810200'
                                          - '8120100'
                                          - '8130500'
                                          - '8140100'
                                          - '8210100'
                                          - '8220400'
                                          - '8220600'
                                          - '8230300'
                                          - '8240100'
                                          - '8240200'
                                          - '8240600'
                                          - '8240700'
                                          - '8250100'
                                          - '8250200'
                                          - '8250800'
                                          - '8340100'
                                          - '8340300'
                                          - '9120700'
                                          - '9130300'
                                          - '9131200'
                                          - '9140200'
                                          - '9140400'
                                          - '9140500'
                                          - '9140700'
                                          - '9140800'
                                          - '9230100'
                                          - '9230200'
                                          - '9230300'
                                          - '9230400'
                                          - '9330100'
                                          - '9330300'
                                          - '9420100'
                                          - '9420300'
                                          - '9430100'
                                          - '1014010'
                                          - '1014030'
                                          - '1023010'
                                          - '1023070'
                                          - '1024020'
                                          - '1033010'
                                          - '1033020'
                                          - '1033040'
                                          - '1034010'
                                          - '1044010'
                                          - '1052010'
                                          - '1054010'
                                          - '1112010'
                                          - '1113010'
                                          - '1113020'
                                          - '1114010'
                                          - '1114020'
                                          - '1114030'
                                          - '1114040'
                                          - '1114050'
                                          - '1114060'
                                          - '1114070'
                                          - '1114090'
                                          - '1123020'
                                          - '1124070'
                                          - '1125010'
                                          - '1133010'
                                          - '1134010'
                                          - '1135010'
                                          - '1135080'
                                          - '1135020'
                                          - '1135030'
                                          - '1135050'
                                          - '1135060'
                                          - '1135070'
                                          - '1136010'
                                          - '1136020'
                                          - '1136030'
                                          - '1136040'
                                          - '1136070'
                                          - '1136050'
                                          - '1136060'
                                          - '1136090'
                                          - '1136080'
                                        type: string
                                      giroMercantil:
                                        enum:
                                          - '1000000'
                                          - '1100001'
                                          - '1200001'
                                          - '1300001'
                                          - '1400002'
                                          - '1500001'
                                          - '2100002'
                                          - '2200002'
                                          - '2300003'
                                          - '2400002'
                                          - '2500002'
                                          - '2600003'
                                          - '2710004'
                                          - '2720004'
                                          - '2730004'
                                          - '2740004'
                                          - '2754004'
                                          - '3110005'
                                          - '3120005'
                                          - '3140005'
                                          - '3150005'
                                          - '3210005'
                                          - '3220005'
                                          - '3230005'
                                          - '3240005'
                                          - '3250005'
                                          - '3260005'
                                          - '3270005'
                                          - '3310005'
                                          - '3320005'
                                          - '3330005'
                                          - '3340005'
                                          - '3350005'
                                          - '3360005'
                                          - '3370005'
                                          - '3380005'
                                          - '3410005'
                                          - '3420005'
                                          - '3430005'
                                          - '3440005'
                                          - '4310006'
                                          - '4320006'
                                          - '4330006'
                                          - '4340006'
                                          - '4620006'
                                          - '4630006'
                                          - '4650006'
                                          - '4660026'
                                          - '4670006'
                                          - '4680006'
                                          - '4710006'
                                          - '4720006'
                                          - '4730006'
                                          - '4740006'
                                          - '4750006'
                                          - '4760006'
                                          - '4810007'
                                          - '4820007'
                                          - '4830007'
                                          - '4840007'
                                          - '4850007'
                                          - '4860007'
                                          - '4880007'
                                          - '4890007'
                                          - '4910008'
                                          - '4920009'
                                          - '4930010'
                                          - '5100011'
                                          - '5180012'
                                          - '5210013'
                                          - '5220013'
                                          - '5230013'
                                          - '5240013'
                                          - '5250013'
                                          - '5260013'
                                          - '5270013'
                                          - '5280013'
                                          - '5290013'
                                          - '5310013'
                                          - '5320013'
                                          - '5330013'
                                          - '5340013'
                                          - '5350013'
                                          - '5360013'
                                          - '5370013'
                                          - '5390013'
                                          - '5410013'
                                          - '5420013'
                                          - '5430013'
                                          - '5440013'
                                          - '5450013'
                                          - '5510014'
                                          - '5520014'
                                          - '5530014'
                                          - '5540014'
                                          - '5550014'
                                          - '5610015'
                                          - '5620015'
                                          - '5630015'
                                          - '5640015'
                                          - '5650015'
                                          - '5660015'
                                          - '5670015'
                                          - '5680015'
                                          - '5690015'
                                          - '5710016'
                                          - '5720016'
                                          - '5730016'
                                          - '5740016'
                                          - '5750016'
                                          - '6100017'
                                          - '6200018'
                                          - '7110019'
                                          - '7120019'
                                          - '7130019'
                                          - '7140019'
                                          - '7150019'
                                          - '7200020'
                                          - '8100021'
                                          - '8200022'
                                          - '8310023'
                                          - '8320023'
                                          - '8330023'
                                          - '8340023'
                                          - '8350023'
                                          - '8360023'
                                          - '8370023'
                                          - '9100025'
                                          - '9810024'
                                          - '9820024'
                                          - '9830024'
                                          - '9840024'
                                          - '9850024'
                                          - '9860024'
                                          - '9870024'
                                          - '9880024'
                                        type: string
                                      actividadVulnerable:
                                        type: object
                                        properties:
                                          ARI:
                                            type: object
                                          AVI:
                                            type: object
                                            properties:
                                              username:
                                                type: string
                                                maxLength: 255
                                                description: Username
                                          INM:
                                            type: object
                                          JYS:
                                            type: object
                                          MJR:
                                            type: object
                                          MPC:
                                            type: object
                                          TSC:
                                            type: object
                                          VEH:
                                            type: object
                                      cnbv:
                                        type: object
                                        properties:
                                          TRANSMISOR:
                                            type: object
                                            properties:
                                              numeroCuenta:
                                                type: string
                                                pattern: ^[A-Za-z0-9]{1,16}$
                                                description: Account Number
                                              claveSujetoObligado:
                                                type: string
                                                pattern: ^\d{2}-(\d{3}|\d{5})$
                                                description: Clave Sujeto Obligado
                                  US: {}
                            required:
                              - type
                              - name
                              - scopes
                          - type: object
                            properties:
                              type:
                                const: trust
                                description: Type
                              name:
                                type: string
                                minLength: 1
                                description: Name
                              nationalities:
                                anyOf:
                                  - type: string
                                  - type: array
                                    minItems: 1
                                    items:
                                      type: string
                                description: Nationalities
                              externalId:
                                type: string
                                description: External ID
                              metadata:
                                type: object
                                propertyNames:
                                  type: string
                                additionalProperties: {}
                                description: Metadata
                              formationDate:
                                type: string
                                format: date
                                description: Formation Date
                              scopes:
                                type: array
                                minItems: 1
                                items:
                                  enum:
                                    - base
                                    - MX:AV
                                    - MX:AV:ARI
                                    - MX:AV:AVI
                                    - MX:AV:INM
                                    - MX:AV:JYS
                                    - MX:AV:MJR
                                    - MX:AV:MPC
                                    - MX:AV:TSC
                                    - MX:AV:VEH
                                    - MX:CNBV
                                    - MX:CNBV:TRANSMISOR
                                    - MX
                                  type: string
                              scopeData:
                                type: object
                                properties:
                                  MX:
                                    type: object
                                    properties:
                                      rfc:
                                        type: string
                                      curp:
                                        type: string
                                      actividadEconomica:
                                        enum:
                                          - '1000000'
                                          - '1110100'
                                          - '1110400'
                                          - '1220100'
                                          - '1220200'
                                          - '1330200'
                                          - '2130100'
                                          - '2140100'
                                          - '2210100'
                                          - '2240200'
                                          - '2420100'
                                          - '2420200'
                                          - '2530100'
                                          - '3130100'
                                          - '3130300'
                                          - '3310300'
                                          - '3310400'
                                          - '3310600'
                                          - '3410200'
                                          - '3420100'
                                          - '3420200'
                                          - '4130300'
                                          - '4130500'
                                          - '4131000'
                                          - '4230200'
                                          - '4230500'
                                          - '4330100'
                                          - '4330200'
                                          - '4430200'
                                          - '4440100'
                                          - '4530200'
                                          - '4530500'
                                          - '4630100'
                                          - '4640300'
                                          - '5110100'
                                          - '5121300'
                                          - '5210100'
                                          - '5310700'
                                          - '5410100'
                                          - '5420700'
                                          - '5510100'
                                          - '5610200'
                                          - '5710200'
                                          - '5720800'
                                          - '5720900'
                                          - '5721000'
                                          - '5721100'
                                          - '5722900'
                                          - '5730600'
                                          - '5731100'
                                          - '5810200'
                                          - '5910400'
                                          - '6120100'
                                          - '6120200'
                                          - '6220100'
                                          - '6330100'
                                          - '6330200'
                                          - '6330400'
                                          - '6330500'
                                          - '6330600'
                                          - '6420100'
                                          - '6430100'
                                          - '6430300'
                                          - '7110200'
                                          - '7110300'
                                          - '7110500'
                                          - '7110600'
                                          - '7120100'
                                          - '7130200'
                                          - '7130400'
                                          - '7140100'
                                          - '7140200'
                                          - '7210100'
                                          - '7230200'
                                          - '7240200'
                                          - '7330200'
                                          - '7330300'
                                          - '7430100'
                                          - '7430200'
                                          - '7430400'
                                          - '7530100'
                                          - '7540100'
                                          - '7620100'
                                          - '7620200'
                                          - '7630100'
                                          - '7630200'
                                          - '7720100'
                                          - '7720200'
                                          - '7720300'
                                          - '7810200'
                                          - '8120100'
                                          - '8130500'
                                          - '8140100'
                                          - '8210100'
                                          - '8220400'
                                          - '8220600'
                                          - '8230300'
                                          - '8240100'
                                          - '8240200'
                                          - '8240600'
                                          - '8240700'
                                          - '8250100'
                                          - '8250200'
                                          - '8250800'
                                          - '8340100'
                                          - '8340300'
                                          - '9120700'
                                          - '9130300'
                                          - '9131200'
                                          - '9140200'
                                          - '9140400'
                                          - '9140500'
                                          - '9140700'
                                          - '9140800'
                                          - '9230100'
                                          - '9230200'
                                          - '9230300'
                                          - '9230400'
                                          - '9330100'
                                          - '9330300'
                                          - '9420100'
                                          - '9420300'
                                          - '9430100'
                                          - '1014010'
                                          - '1014030'
                                          - '1023010'
                                          - '1023070'
                                          - '1024020'
                                          - '1033010'
                                          - '1033020'
                                          - '1033040'
                                          - '1034010'
                                          - '1044010'
                                          - '1052010'
                                          - '1054010'
                                          - '1112010'
                                          - '1113010'
                                          - '1113020'
                                          - '1114010'
                                          - '1114020'
                                          - '1114030'
                                          - '1114040'
                                          - '1114050'
                                          - '1114060'
                                          - '1114070'
                                          - '1114090'
                                          - '1123020'
                                          - '1124070'
                                          - '1125010'
                                          - '1133010'
                                          - '1134010'
                                          - '1135010'
                                          - '1135080'
                                          - '1135020'
                                          - '1135030'
                                          - '1135050'
                                          - '1135060'
                                          - '1135070'
                                          - '1136010'
                                          - '1136020'
                                          - '1136030'
                                          - '1136040'
                                          - '1136070'
                                          - '1136050'
                                          - '1136060'
                                          - '1136090'
                                          - '1136080'
                                        type: string
                                      giroMercantil:
                                        enum:
                                          - '1000000'
                                          - '1100001'
                                          - '1200001'
                                          - '1300001'
                                          - '1400002'
                                          - '1500001'
                                          - '2100002'
                                          - '2200002'
                                          - '2300003'
                                          - '2400002'
                                          - '2500002'
                                          - '2600003'
                                          - '2710004'
                                          - '2720004'
                                          - '2730004'
                                          - '2740004'
                                          - '2754004'
                                          - '3110005'
                                          - '3120005'
                                          - '3140005'
                                          - '3150005'
                                          - '3210005'
                                          - '3220005'
                                          - '3230005'
                                          - '3240005'
                                          - '3250005'
                                          - '3260005'
                                          - '3270005'
                                          - '3310005'
                                          - '3320005'
                                          - '3330005'
                                          - '3340005'
                                          - '3350005'
                                          - '3360005'
                                          - '3370005'
                                          - '3380005'
                                          - '3410005'
                                          - '3420005'
                                          - '3430005'
                                          - '3440005'
                                          - '4310006'
                                          - '4320006'
                                          - '4330006'
                                          - '4340006'
                                          - '4620006'
                                          - '4630006'
                                          - '4650006'
                                          - '4660026'
                                          - '4670006'
                                          - '4680006'
                                          - '4710006'
                                          - '4720006'
                                          - '4730006'
                                          - '4740006'
                                          - '4750006'
                                          - '4760006'
                                          - '4810007'
                                          - '4820007'
                                          - '4830007'
                                          - '4840007'
                                          - '4850007'
                                          - '4860007'
                                          - '4880007'
                                          - '4890007'
                                          - '4910008'
                                          - '4920009'
                                          - '4930010'
                                          - '5100011'
                                          - '5180012'
                                          - '5210013'
                                          - '5220013'
                                          - '5230013'
                                          - '5240013'
                                          - '5250013'
                                          - '5260013'
                                          - '5270013'
                                          - '5280013'
                                          - '5290013'
                                          - '5310013'
                                          - '5320013'
                                          - '5330013'
                                          - '5340013'
                                          - '5350013'
                                          - '5360013'
                                          - '5370013'
                                          - '5390013'
                                          - '5410013'
                                          - '5420013'
                                          - '5430013'
                                          - '5440013'
                                          - '5450013'
                                          - '5510014'
                                          - '5520014'
                                          - '5530014'
                                          - '5540014'
                                          - '5550014'
                                          - '5610015'
                                          - '5620015'
                                          - '5630015'
                                          - '5640015'
                                          - '5650015'
                                          - '5660015'
                                          - '5670015'
                                          - '5680015'
                                          - '5690015'
                                          - '5710016'
                                          - '5720016'
                                          - '5730016'
                                          - '5740016'
                                          - '5750016'
                                          - '6100017'
                                          - '6200018'
                                          - '7110019'
                                          - '7120019'
                                          - '7130019'
                                          - '7140019'
                                          - '7150019'
                                          - '7200020'
                                          - '8100021'
                                          - '8200022'
                                          - '8310023'
                                          - '8320023'
                                          - '8330023'
                                          - '8340023'
                                          - '8350023'
                                          - '8360023'
                                          - '8370023'
                                          - '9100025'
                                          - '9810024'
                                          - '9820024'
                                          - '9830024'
                                          - '9840024'
                                          - '9850024'
                                          - '9860024'
                                          - '9870024'
                                          - '9880024'
                                        type: string
                                      actividadVulnerable:
                                        type: object
                                        properties:
                                          ARI:
                                            type: object
                                          AVI:
                                            type: object
                                            properties:
                                              username:
                                                type: string
                                                maxLength: 255
                                                description: Username
                                          INM:
                                            type: object
                                          JYS:
                                            type: object
                                          MJR:
                                            type: object
                                          MPC:
                                            type: object
                                          TSC:
                                            type: object
                                          VEH:
                                            type: object
                                      cnbv:
                                        type: object
                                        properties:
                                          TRANSMISOR:
                                            type: object
                                            properties:
                                              numeroCuenta:
                                                type: string
                                                pattern: ^[A-Za-z0-9]{1,16}$
                                                description: Account Number
                                              claveSujetoObligado:
                                                type: string
                                                pattern: ^\d{2}-(\d{3}|\d{5})$
                                                description: Clave Sujeto Obligado
                                  US: {}
                            required:
                              - type
                              - name
                              - scopes
                      - type: object
                        properties:
                          externalId:
                            type: string
                            minLength: 1
                        required:
                          - externalId
                atomic:
                  type: boolean
                  default: true
              required:
                - items
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      atomic:
                        const: true
                      data:
                        type: array
                        items:
                          type: object
                          properties:
                            data:
                              allOf:
                                - anyOf:
                                    - type: object
                                      properties:
                                        type:
                                          const: individual
                                          description: Type
                                        name:
                                          type: string
                                          minLength: 1
                                          description: Name
                                        nationalities:
                                          description: Nationalities
                                        externalId:
                                          type: string
                                          description: External ID
                                        metadata:
                                          type: object
                                          propertyNames:
                                            type: string
                                          additionalProperties: {}
                                          description: Metadata
                                        birthDate:
                                          type: string
                                          format: date
                                          description: Birth Date
                                        middleName:
                                          type: string
                                          description: Middle Name
                                        lastName:
                                          description: Last Name
                                        employment:
                                          type: object
                                          properties:
                                            isEmployee:
                                              type: boolean
                                              description: Is Employee
                                            employeeId:
                                              type: string
                                              description: Employee ID
                                            position:
                                              type: string
                                              description: Position
                                            department:
                                              type: string
                                              description: Department
                                            startDate:
                                              type: string
                                              format: date
                                              description: Start Date
                                          required:
                                            - isEmployee
                                          description: Employment
                                        scopes:
                                          type: array
                                          minItems: 1
                                          items:
                                            enum:
                                              - base
                                              - MX:AV
                                              - MX:AV:ARI
                                              - MX:AV:AVI
                                              - MX:AV:INM
                                              - MX:AV:JYS
                                              - MX:AV:MJR
                                              - MX:AV:MPC
                                              - MX:AV:TSC
                                              - MX:AV:VEH
                                              - MX:CNBV
                                              - MX:CNBV:TRANSMISOR
                                              - MX
                                            type: string
                                        scopeData:
                                          type: object
                                          properties:
                                            MX:
                                              type: object
                                              properties:
                                                rfc:
                                                  type: string
                                                curp:
                                                  type: string
                                                actividadEconomica:
                                                  enum:
                                                    - '1000000'
                                                    - '1110100'
                                                    - '1110400'
                                                    - '1220100'
                                                    - '1220200'
                                                    - '1330200'
                                                    - '2130100'
                                                    - '2140100'
                                                    - '2210100'
                                                    - '2240200'
                                                    - '2420100'
                                                    - '2420200'
                                                    - '2530100'
                                                    - '3130100'
                                                    - '3130300'
                                                    - '3310300'
                                                    - '3310400'
                                                    - '3310600'
                                                    - '3410200'
                                                    - '3420100'
                                                    - '3420200'
                                                    - '4130300'
                                                    - '4130500'
                                                    - '4131000'
                                                    - '4230200'
                                                    - '4230500'
                                                    - '4330100'
                                                    - '4330200'
                                                    - '4430200'
                                                    - '4440100'
                                                    - '4530200'
                                                    - '4530500'
                                                    - '4630100'
                                                    - '4640300'
                                                    - '5110100'
                                                    - '5121300'
                                                    - '5210100'
                                                    - '5310700'
                                                    - '5410100'
                                                    - '5420700'
                                                    - '5510100'
                                                    - '5610200'
                                                    - '5710200'
                                                    - '5720800'
                                                    - '5720900'
                                                    - '5721000'
                                                    - '5721100'
                                                    - '5722900'
                                                    - '5730600'
                                                    - '5731100'
                                                    - '5810200'
                                                    - '5910400'
                                                    - '6120100'
                                                    - '6120200'
                                                    - '6220100'
                                                    - '6330100'
                                                    - '6330200'
                                                    - '6330400'
                                                    - '6330500'
                                                    - '6330600'
                                                    - '6420100'
                                                    - '6430100'
                                                    - '6430300'
                                                    - '7110200'
                                                    - '7110300'
                                                    - '7110500'
                                                    - '7110600'
                                                    - '7120100'
                                                    - '7130200'
                                                    - '7130400'
                                                    - '7140100'
                                                    - '7140200'
                                                    - '7210100'
                                                    - '7230200'
                                                    - '7240200'
                                                    - '7330200'
                                                    - '7330300'
                                                    - '7430100'
                                                    - '7430200'
                                                    - '7430400'
                                                    - '7530100'
                                                    - '7540100'
                                                    - '7620100'
                                                    - '7620200'
                                                    - '7630100'
                                                    - '7630200'
                                                    - '7720100'
                                                    - '7720200'
                                                    - '7720300'
                                                    - '7810200'
                                                    - '8120100'
                                                    - '8130500'
                                                    - '8140100'
                                                    - '8210100'
                                                    - '8220400'
                                                    - '8220600'
                                                    - '8230300'
                                                    - '8240100'
                                                    - '8240200'
                                                    - '8240600'
                                                    - '8240700'
                                                    - '8250100'
                                                    - '8250200'
                                                    - '8250800'
                                                    - '8340100'
                                                    - '8340300'
                                                    - '9120700'
                                                    - '9130300'
                                                    - '9131200'
                                                    - '9140200'
                                                    - '9140400'
                                                    - '9140500'
                                                    - '9140700'
                                                    - '9140800'
                                                    - '9230100'
                                                    - '9230200'
                                                    - '9230300'
                                                    - '9230400'
                                                    - '9330100'
                                                    - '9330300'
                                                    - '9420100'
                                                    - '9420300'
                                                    - '9430100'
                                                    - '1014010'
                                                    - '1014030'
                                                    - '1023010'
                                                    - '1023070'
                                                    - '1024020'
                                                    - '1033010'
                                                    - '1033020'
                                                    - '1033040'
                                                    - '1034010'
                                                    - '1044010'
                                                    - '1052010'
                                                    - '1054010'
                                                    - '1112010'
                                                    - '1113010'
                                                    - '1113020'
                                                    - '1114010'
                                                    - '1114020'
                                                    - '1114030'
                                                    - '1114040'
                                                    - '1114050'
                                                    - '1114060'
                                                    - '1114070'
                                                    - '1114090'
                                                    - '1123020'
                                                    - '1124070'
                                                    - '1125010'
                                                    - '1133010'
                                                    - '1134010'
                                                    - '1135010'
                                                    - '1135080'
                                                    - '1135020'
                                                    - '1135030'
                                                    - '1135050'
                                                    - '1135060'
                                                    - '1135070'
                                                    - '1136010'
                                                    - '1136020'
                                                    - '1136030'
                                                    - '1136040'
                                                    - '1136070'
                                                    - '1136050'
                                                    - '1136060'
                                                    - '1136090'
                                                    - '1136080'
                                                  type: string
                                                giroMercantil:
                                                  enum:
                                                    - '1000000'
                                                    - '1100001'
                                                    - '1200001'
                                                    - '1300001'
                                                    - '1400002'
                                                    - '1500001'
                                                    - '2100002'
                                                    - '2200002'
                                                    - '2300003'
                                                    - '2400002'
                                                    - '2500002'
                                                    - '2600003'
                                                    - '2710004'
                                                    - '2720004'
                                                    - '2730004'
                                                    - '2740004'
                                                    - '2754004'
                                                    - '3110005'
                                                    - '3120005'
                                                    - '3140005'
                                                    - '3150005'
                                                    - '3210005'
                                                    - '3220005'
                                                    - '3230005'
                                                    - '3240005'
                                                    - '3250005'
                                                    - '3260005'
                                                    - '3270005'
                                                    - '3310005'
                                                    - '3320005'
                                                    - '3330005'
                                                    - '3340005'
                                                    - '3350005'
                                                    - '3360005'
                                                    - '3370005'
                                                    - '3380005'
                                                    - '3410005'
                                                    - '3420005'
                                                    - '3430005'
                                                    - '3440005'
                                                    - '4310006'
                                                    - '4320006'
                                                    - '4330006'
                                                    - '4340006'
                                                    - '4620006'
                                                    - '4630006'
                                                    - '4650006'
                                                    - '4660026'
                                                    - '4670006'
                                                    - '4680006'
                                                    - '4710006'
                                                    - '4720006'
                                                    - '4730006'
                                                    - '4740006'
                                                    - '4750006'
                                                    - '4760006'
                                                    - '4810007'
                                                    - '4820007'
                                                    - '4830007'
                                                    - '4840007'
                                                    - '4850007'
                                                    - '4860007'
                                                    - '4880007'
                                                    - '4890007'
                                                    - '4910008'
                                                    - '4920009'
                                                    - '4930010'
                                                    - '5100011'
                                                    - '5180012'
                                                    - '5210013'
                                                    - '5220013'
                                                    - '5230013'
                                                    - '5240013'
                                                    - '5250013'
                                                    - '5260013'
                                                    - '5270013'
                                                    - '5280013'
                                                    - '5290013'
                                                    - '5310013'
                                                    - '5320013'
                                                    - '5330013'
                                                    - '5340013'
                                                    - '5350013'
                                                    - '5360013'
                                                    - '5370013'
                                                    - '5390013'
                                                    - '5410013'
                                                    - '5420013'
                                                    - '5430013'
                                                    - '5440013'
                                                    - '5450013'
                                                    - '5510014'
                                                    - '5520014'
                                                    - '5530014'
                                                    - '5540014'
                                                    - '5550014'
                                                    - '5610015'
                                                    - '5620015'
                                                    - '5630015'
                                                    - '5640015'
                                                    - '5650015'
                                                    - '5660015'
                                                    - '5670015'
                                                    - '5680015'
                                                    - '5690015'
                                                    - '5710016'
                                                    - '5720016'
                                                    - '5730016'
                                                    - '5740016'
                                                    - '5750016'
                                                    - '6100017'
                                                    - '6200018'
                                                    - '7110019'
                                                    - '7120019'
                                                    - '7130019'
                                                    - '7140019'
                                                    - '7150019'
                                                    - '7200020'
                                                    - '8100021'
                                                    - '8200022'
                                                    - '8310023'
                                                    - '8320023'
                                                    - '8330023'
                                                    - '8340023'
                                                    - '8350023'
                                                    - '8360023'
                                                    - '8370023'
                                                    - '9100025'
                                                    - '9810024'
                                                    - '9820024'
                                                    - '9830024'
                                                    - '9840024'
                                                    - '9850024'
                                                    - '9860024'
                                                    - '9870024'
                                                    - '9880024'
                                                  type: string
                                                actividadVulnerable:
                                                  type: object
                                                  properties:
                                                    ARI:
                                                      type: object
                                                    AVI:
                                                      type: object
                                                      properties:
                                                        username: {}
                                                    INM:
                                                      type: object
                                                    JYS:
                                                      type: object
                                                    MJR:
                                                      type: object
                                                    MPC:
                                                      type: object
                                                    TSC:
                                                      type: object
                                                    VEH:
                                                      type: object
                                                cnbv:
                                                  type: object
                                                  properties:
                                                    TRANSMISOR:
                                                      type: object
                                                      properties:
                                                        numeroCuenta: {}
                                                        claveSujetoObligado: {}
                                            US: {}
                                      required:
                                        - type
                                        - name
                                        - scopes
                                    - type: object
                                      properties:
                                        type:
                                          const: company
                                          description: Type
                                        name:
                                          type: string
                                          minLength: 1
                                          description: Name
                                        nationalities:
                                          description: Nationalities
                                        externalId:
                                          type: string
                                          description: External ID
                                        metadata:
                                          type: object
                                          propertyNames:
                                            type: string
                                          additionalProperties: {}
                                          description: Metadata
                                        incorporationDate:
                                          type: string
                                          format: date
                                          description: Incorporation Date
                                        commercialName:
                                          type: string
                                          description: Commercial Name
                                        scopes:
                                          type: array
                                          minItems: 1
                                          items:
                                            enum:
                                              - base
                                              - MX:AV
                                              - MX:AV:ARI
                                              - MX:AV:AVI
                                              - MX:AV:INM
                                              - MX:AV:JYS
                                              - MX:AV:MJR
                                              - MX:AV:MPC
                                              - MX:AV:TSC
                                              - MX:AV:VEH
                                              - MX:CNBV
                                              - MX:CNBV:TRANSMISOR
                                              - MX
                                            type: string
                                        scopeData:
                                          type: object
                                          properties:
                                            MX:
                                              type: object
                                              properties:
                                                rfc:
                                                  type: string
                                                curp:
                                                  type: string
                                                actividadEconomica:
                                                  enum:
                                                    - '1000000'
                                                    - '1110100'
                                                    - '1110400'
                                                    - '1220100'
                                                    - '1220200'
                                                    - '1330200'
                                                    - '2130100'
                                                    - '2140100'
                                                    - '2210100'
                                                    - '2240200'
                                                    - '2420100'
                                                    - '2420200'
                                                    - '2530100'
                                                    - '3130100'
                                                    - '3130300'
                                                    - '3310300'
[...]
